OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class FtpPlugin

    java.lang.Object
      org.opennms.netmgt.capsd.AbstractPlugin
          org.opennms.netmgt.capsd.AbstractTcpPlugin
              org.opennms.netmgt.capsd.FtpPlugin

All Implemented Interfaces:
  Plugin

public final class FtpPlugin
extends AbstractTcpPlugin

This class is designed to be used by the capabilities daemon to test for the existance of an FTP server on remote interfaces. The class implements the Plugin interface that allows it to be used along with other plugins by the daemon.

Author:
  Tarus , Sowmya , Weave , OpenNMS

Field Summary
`private static int` `DEFAULT_PORT` The default port on which the host is checked to see if it supports FTP.
`private static int` `DEFAULT_RETRY` Default number of retries for FTP requests.
`private static int` `DEFAULT_TIMEOUT` Default timeout (in milliseconds) for FTP requests.
`private static org.apache.regexp.RE` `MULTILINE_RESULT` The regular expression test used to determine if the reply is a multi line reply.
`private static java.lang.String` `PROTOCOL_NAME` The capability name of the plugin.

Fields inherited from class org.opennms.netmgt.capsd.AbstractTcpPlugin
`m_defaultPort, m_defaultRetry, m_defaultTimeout, m_pluginName, m_protocolName`

Constructor Summary
`FtpPlugin()`

Method Summary
`protected boolean` `checkProtocol(java.net.Socket socket, ConnectionConfig config)`

Methods inherited from class org.opennms.netmgt.capsd.AbstractTcpPlugin
`checkConnection, closeSocket, createConnectionConfig, getConnectionConfigList, getKeyedInteger, getKeyedIntegerArray, getPluginName, getProtocolName, isProtocolSupported, isProtocolSupported, populateConnectionConfig, preconnectCheck, saveConfig, saveKeyedInteger, setPluginName, wrapSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    private static final int DEFAULT_PORT

  The default port on which the host is checked to see if it supports FTP.

  See Also:
    Constant Field Values

### DEFAULT_RETRY

    private static final int DEFAULT_RETRY

  Default number of retries for FTP requests.

  See Also:
    Constant Field Values

### DEFAULT_TIMEOUT

    private static final int DEFAULT_TIMEOUT

  Default timeout (in milliseconds) for FTP requests.

  See Also:
    Constant Field Values

### MULTILINE_RESULT

    private static final org.apache.regexp.RE MULTILINE_RESULT

  The regular expression test used to determine if the reply is a multi line reply. A multi line reply is one that each line, but the last, is in the form of "ddd-" where 'ddd' is the result code.

### PROTOCOL_NAME

    private static final java.lang.String PROTOCOL_NAME

  The capability name of the plugin.

  See Also:
    Constant Field Values

Constructor Detail

### FtpPlugin

    public FtpPlugin()

Method Detail

### checkProtocol

    protected boolean checkProtocol(java.net.Socket socket,
                                    ConnectionConfig config)
                             throws java.io.IOException

  Specified by:
    `checkProtocol` in class `AbstractTcpPlugin`
  Parameters:
    `socket` -
    `config` -
  Returns:
  Throws:
    `java.io.IOException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.